Bug 10377 - kickstart gets passwords wrong
Summary: kickstart gets passwords wrong
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Keywords: Security
: 10422 10437 10578 10705 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-27 22:21 UTC by Michael K. Johnson
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-11 16:03:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael K. Johnson 2000-03-27 22:21:54 UTC
A kickstart install with an MD5 hashed root password specified as
rootpw --iscrypt foo
and md5 and shadow enabled puts the root password in the /etc/passwd
file instead of the /etc/shadow file and leaves the password field
blank in the /etc/shadow file, resulting in such machines not even
asking for a password when you try to log in as root.

Comment 1 Michael Fulbright 2000-03-30 18:16:59 UTC
*** Bug 10422 has been marked as a duplicate of this bug. ***

Comment 2 Michael Fulbright 2000-03-30 18:17:59 UTC
*** Bug 10437 has been marked as a duplicate of this bug. ***

Comment 3 Michael Fulbright 2000-04-04 14:06:59 UTC
*** Bug 10578 has been marked as a duplicate of this bug. ***

Comment 4 Michael Fulbright 2000-04-11 16:02:59 UTC
*** Bug 10705 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.